.\"	$NetBSD: which.1,v 1.9 2003/08/07 11:17:18 agc Exp $
.\"
.\" Copyright (c) 1980, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)which.1	6.3 (Berkeley) 4/23/91
.\"	$NetBSD: which.1,v 1.9 2003/08/07 11:17:18 agc Exp $
.\"
.Dd April 23, 1991
.Dt WHICH 1
.Os
.Sh NAME
.Nm which
.Nd "locate a program file in the users $PATH environment variable"
.Sh SYNOPSIS
.Nm
.Op Fl a
.Ar name
.Op Ar ...
.Sh DESCRIPTION
.Nm
takes a list of names and looks for the files which would be
executed had these names been given as commands.
Each argument is searched for along the user's
.Ev PATH .
.Pp
If the
.Fl a
flag is given,
.Nm
will continue to search the
.Ev PATH
until all instances of a program file are found.
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
.Sh BUGS
This implementation does not expand 
.Xr csh 1 
aliases, and is shell agnostic.
This is really a feature.
